## snack 1.6

=== src/Makefile ===
# Generated automatically from Makefile.in by configure.
# The path to the tcl.h header file

TCL_INCPATH = /home/david/src/tcl8.0-8.0.4/generic

# The path to the tk.h header file

TK_INCPATH  = /home/david/src/tk8.0-8.0.4/generic

# The path to the X11 include files

XINCLUDES   = -I/usr/X11R6/include

# Install SNACK package here

SNACK_INSTALL_PATH = /usr/lib

# Install SNACK plug-in add-on here

MOZILLA_DIR = 

VERSION = 1.6

TCL_VERSION = 8.0

CC        = cc

INCLUDES  = ${XINCLUDES} -I${TCL_INCPATH} -I${TK_INCPATH}  -I/include

CFLAGS    = -O -fPIC -DLinux ${INCLUDES} 

LIBSO     = -lc  -L/usr/lib -ltcl8.0${TCL_DBGX}

LIBSN     = -lc -L/usr/X11R6/lib -lX11 -ldl  -lieee -lm  -L/usr/lib -ltcl8.0${TCL_DBGX} -L/usr/lib -ltk8.0${TK_DBGX}

SHLIB_LD     = cc -shared
SHLIB_SUFFIX = .so

all: libsound${SHLIB_SUFFIX} libsnack${SHLIB_SUFFIX}   editversion

OBJSO = sound.o jkSound.o jkSoundEdit.o jkSoundFile.o g711.o jkAudIO_linux.o SnackMP3amp.o jkSoundProc.o ffa.o 

OBJSN = snack.o jkSound.o jkSoundEdit.o jkSoundFile.o jkCanvSpeg.o jkCanvWave.o jkCanvSect.o ffa.o g711.o jkAudIO_linux.o SnackMP3amp.o jkSoundProc.o 

OBJSNST = snackStubLib.o

libsound${SHLIB_SUFFIX}: ${OBJSO}
	${SHLIB_LD} ${OBJSO} ${LIBSO} -o libsound${SHLIB_SUFFIX} 
	sed s/.dll/${SHLIB_SUFFIX}/ < pkgIndex.tcl.dll > pkgIndex.tcl

libsnack${SHLIB_SUFFIX}: ${OBJSN}
	${SHLIB_LD} ${OBJSN} ${LIBSN} -o libsnack${SHLIB_SUFFIX} 
	sed s/.dll/${SHLIB_SUFFIX}/ < pkgIndex.tcl.dll > pkgIndex.tcl

stublib: ${OBJSNST}
	ar cr libsnackstub${VERSION}.a ${OBJSNST}

editversion: ${OBJSN}
	if test "$(TCL_VERSION)" != "8.1"; then\
	    cd ../demos/ ;\
	    sed s/wish8.1/wish${TCL_VERSION}/ MinSect.tcl > tmp ;\
	    mv -f tmp MinSect.tcl ;\
	    chmod 755 MinSect.tcl ;\
	    sed s/wish8.1/wish${TCL_VERSION}/ MinSpeg.tcl > tmp ;\
	    mv -f tmp MinSpeg.tcl ;\
	    chmod 755 MinSpeg.tcl ;\
	    sed s/wish8.1/wish${TCL_VERSION}/ MinWave.tcl > tmp ;\
	    mv -f tmp MinWave.tcl ;\
	    chmod 755 MinWave.tcl ;\
	    sed s/wish8.1/wish${TCL_VERSION}/ Section.tcl > tmp ;\
	    mv -f tmp Section.tcl ;\
	    chmod 755 Section.tcl ;\
	    sed s/wish8.1/wish${TCL_VERSION}/ Spectrogram.tcl > tmp ;\
	    mv -f tmp Spectrogram.tcl ;\
	    chmod 755 Spectrogram.tcl ;\
	    sed s/wish8.1/wish${TCL_VERSION}/ Waveform.tcl > tmp ;\
	    mv -f tmp Waveform.tcl ;\
	    chmod 755 Waveform.tcl ;\
	    sed s/wish8.1/wish${TCL_VERSION}/ aserver.tcl > tmp ;\
	    mv -f tmp aserver.tcl ;\
	    chmod 755 aserver.tcl ;\
	    sed s/wish8.1/wish${TCL_VERSION}/ mixer.tcl > tmp ;\
	    mv -f tmp mixer.tcl ;\
	    chmod 755 mixer.tcl ;\
	    sed s/wish8.1/wish${TCL_VERSION}/ record.tcl > tmp ;\
	    mv -f tmp record.tcl ;\
	    chmod 755 record.tcl ;\
	    sed s/wish8.1/wish${TCL_VERSION}/ snamp.tcl > tmp ;\
	    mv -f tmp snamp.tcl ;\
	    chmod 755 snamp.tcl ;\
	    sed s/wish8.1/wish${TCL_VERSION}/ widget.tcl > tmp ;\
	    mv -f tmp widget.tcl ;\
	    chmod 755 widget.tcl ;\
	    sed s/wish8.1/wish${TCL_VERSION}/ xs.tcl > tmp ;\
	    mv -f tmp xs.tcl ;\
	    chmod 755 xs.tcl ;\
	    sed s/wish8.1/wish${TCL_VERSION}/ cool.tcl > tmp ;\
	    mv -f tmp cool.tcl ;\
	    chmod 755 cool.tcl ;\
	    cd ../src ;\
	fi
LIBNIST = /lib/libsp.a /lib/libutil.a -lc -L/usr/lib -ltcl8.0${TCL_DBGX}
OBJNIST = SphereFile.o

libsnsphere${SHLIB_SUFFIX}: ${OBJNIST}
	${SHLIB_LD} ${OBJNIST} ${LIBNIST} -o libsnsphere${SHLIB_SUFFIX}

install:
	@if [ ! -d ${SNACK_INSTALL_PATH}/snack${VERSION} ] ; then \
	    echo "Making directory ${SNACK_INSTALL_PATH}/snack${VERSION}"; \
	    mkdir ${SNACK_INSTALL_PATH}/snack${VERSION}; \
	    chmod 755 ${SNACK_INSTALL_PATH}/snack${VERSION}; \
        else true; \
        fi;
	cp -f libsound${SHLIB_SUFFIX} ${SNACK_INSTALL_PATH}/snack${VERSION}/
	cp -f libsnack${SHLIB_SUFFIX} ${SNACK_INSTALL_PATH}/snack${VERSION}/
	if test -f libsnsphere${SHLIB_SUFFIX}; then cp -f libsnsphere${SHLIB_SUFFIX} ${SNACK_INSTALL_PATH}/snack${VERSION}/; fi
	cp -f snack.tcl ${SNACK_INSTALL_PATH}/snack${VERSION}/
	cp -f pkgIndex.tcl ${SNACK_INSTALL_PATH}/snack${VERSION}/
	@if [ -d "" ] ; then \
	    cp -rf ${SNACK_INSTALL_PATH}/snack${VERSION} ${MOZILLA_DIR}/tclplug/2.0/; \
	fi;

clean:
	rm -f *.o libsound${SHLIB_SUFFIX} libsnack${SHLIB_SUFFIX} libsnsphere${SHLIB_SUFFIX}

distclean: clean
	rm -f Makefile config.status config.cache config.log

## snack 2.0.7-2

=== debian/changelog ===
snack (2.0.7-2) unstable; urgency=low

  * Remove debmake from dependency list, add debhelper instead (closes:
    Bug#112293) 

  * Rebuild on a `woody' i386 machine: get location of tclConfig.sh right
    (closes: Bug#112340)

  * removed dh_suidregister, as suggested by itself.
  
 -- David A. van Leeuwen <david@tm.tno.nl>  Mon, 24 Sep 2001 13:23:08 +0200

snack (2.0.7-1) unstable testing; urgency=low

  * Complete new dh_make debianization

 -- David A. van Leeuwen <david@tm.tno.nl>  Mon, 20 Aug 2001 16:14:02 +0200

snack (2.0.7-0) unstable testing; urgency=low

  * New upstream version

 -- David A. van Leeuwen <david@tm.tno.nl>  Fri, 15 Jun 2001 14:42:00 +0200

snack (1.7.0-1) unstable; urgency=low

  * New upstream release

 -- David A. van Leeuwen <david@tm.tno.nl>  Fri, 25 Aug 2000 15:09:08 +0200

snack (1.6.5-3) unstable; urgency=low

  * dependency changed from xpm4g to libxpm, solves bug 67945

 -- David A. van Leeuwen <david@tm.tno.nl>  Fri, 25 Aug 2000 15:02:15 +0200

snack (1.6.5-2) unstable; urgency=low

  * New upload; try to deal with -all.deb file generated on mixed architecture     (not so binary-indep after all?)
  * Solution: reverse binary-indep and binary-arch dependency of binary in 
    `rules'; because `debstd' clobbers my -dev_..._all.deb package! 
  
 -- David A. van Leeuwen <david@tm.tno.nl>  Mon,  6 Mar 2000 17:41:44 +0100

snack (1.6.5-1) unstable; urgency=low

  * New upstream version.
  * Moved usr/doc to usr/share/doc.

 -- David A. van Leeuwen <david@tm.tno.nl>  Thu,  2 Mar 2000 09:57:01 +0100

snack (1.6-2) unstable; urgency=low

  * Made binary-indep empty, generate snack and snack-dev both in
    binary-arch (what is the use of binary-indep if it isn't made by
    dpkg-buildpackage?).  Should solve bug #50725. 
  * Do a make distclean, in order to remove config.cache. 
  * Made snack-dev architecture: all. 

 -- David A. van Leeuwen <david@tm.tno.nl>  Mon, 22 Nov 1999 16:30:58 +0100

snack (1.6-1) unstable; urgency=low

  * Initial Release.

 -- David A. van Leeuwen <david@tm.tno.nl>  Thu, 23 Sep 1999 15:24:33 +0200

Local variables:
mode: debian-changelog
add-log-mailing-address: "david@tm.tno.nl"
add-log-full-name: "David A. van Leeuwen"
End:

=== debian/control ===
Source: snack
Section: sound
Priority: optional
Maintainer: David A. van Leeuwen <david@tm.tno.nl>
Build-depends: tcl8.2-dev, tk8.2-dev, xlib6g-dev, debhelper
Standards-Version: 3.0.1

Package: libsnack2
Architecture: any
Depends: tcl8.2, tk8.2
Replaces: snack
Section: libs
Description: Sound functionality extension to the Tcl/Tk language
 Snack is an extension to the Tcl/Tk scripting language
 that adds sound functionality. There are commands to play, record,
 edit, and even visualize sound. Snack supports in-memory sound
 objects, file based audio, and streaming audio. It handles
 fileformats such as WAV, AU, AIFF, and MP3.  
 .
 The visualization canvas item types update in real-time and can
 output postscript. The same scripts run on Unix (HP-UX, Linux,
 Solaris, IRIX) and Windows95/98/NT. It is also possible to run
 scripts embedded in web pages through the use of the Tcl plug-in.  A
 sound file viewer/label editor, which is easy to customize, is
 included in the package.
 .
 The old name of this package was `snack'.

Package: libsnack2-dev
Architecture: all
Depends: libsnack2 (= ${Source-Version}), libc6-dev
Replaces: snack-dev
Section: devel
Description: Snack development files
 This package is needed for building transcriber, and contains
 snackConfig.sh, snack.h. 

Package: libsnack2-doc
Architecture: all
Depends: 
Section: doc
Description: Snack documentation
 This package contains the html documentation that comes with libsnack2

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1
# DvL Package names
MAIN=libsnack2
DOC=libsnack2-doc
DEV=libsnack2-dev


# shared library versions, option 1
version=2.0.7
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

build: build-stamp
build-stamp:
	dh_testdir
	cd unix; ./configure --enable-gcc --enable-shared --with-tcl=/usr/lib/tcl8.2 --with-tk=/usr/lib/tk8.2 --prefix=/usr --disable-stubs; make
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) -C unix distclean
	dh_clean

install-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) -C unix SNACK_INSTALL_PATH=../debian/tmp/usr/lib install

# Build architecture-dependent files here.
binary-arch: DH_OPTIONS=-p${MAIN}
binary-arch: build install-arch
	dh_testversion 1.1.17
	dh_testdir
	dh_testroot
	dh_installdirs
        #
        # build libsnack${major} package by moving files from libsnack-dev
        #
#	dh_movefiles -plibsnack$(major)             \
#               usr/lib/libsnack.so.$(major)        \
#               usr/lib/libsnack.so.$(version)
#
	dh_installdocs README
	dh_installexamples
	dh_installmenu
	dh_installmanpages
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs changes
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
# 	You may want to make some executables suid here.
	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-dev: build 
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	dh_installdocs README
	dh_installchangelogs changes
	install -m 644 unix/snackConfig.sh debian/${DEV}/usr/lib
	install -m 644 generic/*.h debian/${DEV}/usr/include
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-doc: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	install -m 644 doc/* debian/${DOC}/usr/share/doc/${MAIN}/html
	dh_installdocs README
	dh_installchangelogs changes
#	this does _not_ work:
#	dh_installexamples -v demos/*
#	mv debian/${DOC}/usr/share/doc/${DOC}/examples/* debian/${DOC}/usr/share/doc/${MAIN}/examples
	install -m 644 demos/python/* debian/${DOC}/usr/share/doc/${MAIN}/examples/python
	install -m 644 demos/tcl/* debian/${DOC}/usr/share/doc/${MAIN}/examples/tcl
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	this is a binary!---not in -doc
#	rm debian/${DOC}/usr/share/doc/${MAIN}/examples/tcl/freewrap
	chmod +x debian/${DOC}/usr/share/doc/${MAIN}/examples/tcl/*.tcl
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb 

binary-indep: build 
	$(MAKE) -f debian/rules DH_OPTIONS="-p${DEV}" binary-dev
	$(MAKE) -f debian/rules DH_OPTIONS="-p${DOC}" binary-doc

# DvL: order is important!
binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install

## snack 2.2.2-3

=== debian/changelog ===
snack (2.2.2-3) unstable; urgency=low

  * Installed libvorbis0a (testing), hoping that ${shlibs:Depends} 
    figures out the testing-status dependency (libvorbis0 has disappeared 
    since potato).  Installed testing-libc6 for that.  Had to remove
    a whole lot of packages for that.  Whatever.  Anything for
    one bug less.  (closes: #212297)

 -- David A. van Leeuwen <vleeuwen@debian.org>  Wed, 24 Sep 2003 23:52:43 +0200

snack (2.2.2-2) unstable; urgency=low

  * added a million of -a and -i's in debian/rules.  Sorry, but i find the
    mixed architecture dependen/indenpendent rules files not elegant. (closes: #196635)
  * 2.1.6-1 closed a lot of minor issues.  (closes: #144488)
  * Repeated short description in control file in -dev and -doc packages. (closes: #134397)

 -- David A. van Leeuwen <vleeuwen@debian.org>  Mon, 18 Aug 2003 21:03:01 +0200

snack (2.2.2-1) unstable; urgency=low

  * new upstream (closes: #200145) (closes: #183133)
  * remove the freewrap binary from examples/tcl
  * compile the with stubs (closes: #180526)
  * spelling error fileformats -> file formats already fixed in 
    previous releases (closes: #125047)

 -- David A. van Leeuwen <vleeuwen@debian.org>  Sun, 27 Jul 2003 14:16:27 +0200

snack (2.1.6-3) unstable; urgency=low

  * included libogg support. (closes: #181313)
  * updated debian/dirs

 -- David A. van Leeuwen <vleeuwen@debian.org>  Tue,  6 May 2003 23:39:03 +0200

snack (2.1.6-2) unstable; urgency=low
  
  * copy examples in debian/tmp/libsnack2-doc _after_ dh_compress (closes: #191949)

 -- David A. van Leeuwen <vleeuwen@debian.org>  Tue,  6 May 2003 21:52:03 +0200

snack (2.1.6-1) unstable; urgency=low

  * Accepted all changes kindly provided by Teemu Hukkanen, this changelog
    entry is just for finding key in keyring
  
  * Changed email address

 -- David A. van Leeuwen <vleeuwen@debian.org>  Mon,  6 May 2002 11:59:24 +0200

snack (2.1.6-0) unstable; urgency=low

  * New upstream version.
  * Compiled with tcl8.3 and tk8.3.
  * Removed emacs variables from the changelog.
  * Sanitized dependencies.
  * Use debhelper correctly in postinst and prerm scripts.
  * Previous version was a debian native package, fixed.
  * Fixed spelling error in description. (Closes: #125047)
  * Added short description to -doc and -dev packages about snack itself.
    (Closes: #134397)
  * Upgraded Standards-Version to 3.1.0.
  * Corrected path to GPL in debian/copyright.

 -- Teemu Hukkanen <tjhukkan@iki.fi>  Thu, 25 Apr 2002 13:50:40 +0300

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: snack
 Section: sound
 Priority: optional
-Maintainer: David A. van Leeuwen <david@tm.tno.nl>
-Build-depends: tcl8.2-dev, tk8.2-dev, xlib6g-dev, debhelper
-Standards-Version: 3.0.1
+Maintainer: David A. van Leeuwen <vleeuwen@debian.org>
+Build-depends: tk8.3-dev, xlibs-dev, debhelper, libogg-dev, libvorbis-dev
+Standards-Version: 3.6.1
 
 Package: libsnack2
 Architecture: any
-Depends: tcl8.2, tk8.2
+Depends: ${shlibs:Depends}
 Replaces: snack
 Section: libs
 Description: Sound functionality extension to the Tcl/Tk language
@@ -15,7 +15,7 @@
  that adds sound functionality. There are commands to play, record,
  edit, and even visualize sound. Snack supports in-memory sound
  objects, file based audio, and streaming audio. It handles
- fileformats such as WAV, AU, AIFF, and MP3.  
+ file formats such as WAV, AU, AIFF, and MP3.
  .
  The visualization canvas item types update in real-time and can
  output postscript. The same scripts run on Unix (HP-UX, Linux,
@@ -34,11 +34,39 @@
 Description: Snack development files
  This package is needed for building transcriber, and contains
  snackConfig.sh, snack.h. 
+ .
+ Snack provides a sound functionality extension to the Tcl/Tk language.
+ .
+ Snack is an extension to the Tcl/Tk scripting language
+ that adds sound functionality. There are commands to play, record,
+ edit, and even visualize sound. Snack supports in-memory sound
+ objects, file based audio, and streaming audio. It handles
+ file formats such as WAV, AU, AIFF, and MP3.
+ .
+ The visualization canvas item types update in real-time and can
+ output postscript. The same scripts run on Unix (HP-UX, Linux,
+ Solaris, IRIX) and Windows95/98/NT. It is also possible to run
+ scripts embedded in web pages through the use of the Tcl plug-in.  A
+ sound file viewer/label editor, which is easy to customize, is
+ included in the package.
 
 Package: libsnack2-doc
 Architecture: all
-Depends: 
 Section: doc
 Description: Snack documentation
  This package contains the html documentation that comes with libsnack2
-
+ .
+ Snack provides a sound functionality extension to the Tcl/Tk language.
+ .
+ Snack is an extension to the Tcl/Tk scripting language
+ that adds sound functionality. There are commands to play, record,
+ edit, and even visualize sound. Snack supports in-memory sound
+ objects, file based audio, and streaming audio. It handles
+ file formats such as WAV, AU, AIFF, and MP3.
+ .
+ The visualization canvas item types update in real-time and can
+ output postscript. The same scripts run on Unix (HP-UX, Linux,
+ Solaris, IRIX) and Windows95/98/NT. It is also possible to run
+ scripts embedded in web pages through the use of the Tcl plug-in.  A
+ sound file viewer/label editor, which is easy to customize, is
+ included in the package.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1
# DvL Package names
MAIN=libsnack2
DOC=libsnack2-doc
DEV=libsnack2-dev


CONFIGOPTS = --enable-gcc \
             --enable-shared \
             --with-tcl=/usr/lib/tcl8.3 \
             --with-tk=/usr/lib/tk8.3 \
             --prefix=/usr \
             --with-ogg-include=/usr/include \
             --with-ogg-lib=/usr/lib
#             --disable-stubs

# shared library versions, option 1
version=2.2.2
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`


build: build-stamp
build-stamp:
	dh_testdir
	cd unix && ./configure $(CONFIGOPTS) 
	make -C unix all libsnackogg.so # libsnacksphere.so
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) -C unix distclean
	cd unix; rm -f libsnackogg.so libsnacksphere.so libsnackstub2.2.a
	dh_clean

install-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) -C unix SNACK_INSTALL_PATH=../debian/tmp/usr/lib install

# Build architecture-dependent files here.
# binary-arch: DH_OPTIONS=-p${MAIN}
binary-arch: build install-arch
	#dh_testversion 1.1.17
	dh_testdir -a
	dh_testroot -a
	dh_installdirs -a
        #
        # build libsnack${major} package by moving files from libsnack-dev
        #
#	dh_movefiles -plibsnack$(major)             \
#               usr/lib/libsnack.so.$(major)        \
#               usr/lib/libsnack.so.$(version)
#
	dh_installdocs -a README
	dh_installexamples -a
	dh_installmenu -a
	dh_installmanpages -a
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs -a changes
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
# 	You may want to make some executables suid here.
	dh_makeshlibs -a
	dh_installdeb -a
#	dh_perl 
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a -p${MAIN}

# binary-dev: DH_OPTIONS=-p${DEV}
binary-dev: build 
	dh_testdir -i
	dh_testroot -i
	dh_clean -k -i
	dh_installdirs -i
	dh_installdocs -i README
	dh_installchangelogs -i changes
	install -m 644 unix/snackConfig.sh debian/${DEV}/usr/lib
	install -m 644 generic/*.h debian/${DEV}/usr/include
	dh_link -i
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i -p${DEV}

binary-doc: build
	dh_testdir -i
	dh_testroot -i
	dh_clean -k -i
	dh_installdirs -i
	install -m 644 doc/* debian/${DOC}/usr/share/doc/${MAIN}/html
	dh_installdocs -i README
	dh_installchangelogs -i changes
	dh_link -i
	dh_strip -i
	dh_compress -i
#	this does _not_ work:
#	dh_installexamples -v demos/*
#	mv debian/${DOC}/usr/share/doc/${DOC}/examples/* debian/${DOC}/usr/share/doc/${MAIN}/examples
	install -m 644 demos/python/* debian/${DOC}/usr/share/doc/${MAIN}/examples/python
	install -m 644 demos/tcl/* debian/${DOC}/usr/share/doc/${MAIN}/examples/tcl
	-rm debian/${DOC}/usr/share/doc/${MAIN}/examples/tcl/freewrap
	dh_fixperms -i
#	this is a binary!---not in -doc
#	rm debian/${DOC}/usr/share/doc/${MAIN}/examples/tcl/freewrap
	chmod +x debian/${DOC}/usr/share/doc/${MAIN}/examples/tcl/*.tcl
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i -p${DOC}

binary-indep: build 
	$(MAKE) -f debian/rules DH_OPTIONS="-p${DEV}" binary-dev
	$(MAKE) -f debian/rules DH_OPTIONS="-p${DOC}" binary-doc

# DvL: order is important!
binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install

## snack 2.2.10.20090623-dfsg

=== debian/changelog ===
snack (2.2.10.20090623-dfsg-8) unstable; urgency=medium

  * Pass --build and --host to ./configure to fix cross-building the package,
    thanks to Helmut Grohne (closes: #901328).
  * Bump the standards version to 4.2.0.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 10 Aug 2018 11:55:05 +0300

snack (2.2.10.20090623-dfsg-7) unstable; urgency=medium

  * Add osspd as an explicit dependency of libsnack-oss since for linux it
    is preferable to oss-compat.
  * Put libsnack-oss before libsnack-alsa in the tcl-snack dependencies
    because it works better (ALSA support in Snack is very basic) and it can
    be used with pulseaudio via osspd.
  * Refresh patches.
  * Add Debian-specific CFLAGS to the build and fix a few warinigs and errors
    they reveal.
  * Add VCS salsa headers.
  * Bump the debhelper compatibility level to 11.
  * Bump the standards version to 4.1.4.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 24 Apr 2018 12:12:20 +0300

snack (2.2.10.20090623-dfsg-6) unstable; urgency=medium

  * Added a patch which fixes a few warnings due to missing prototypes and
    variable declarations.
  * Fixed the library loading into Python scripts.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 19 Nov 2015 21:49:33 +0300

snack (2.2.10.20090623-dfsg-5) unstable; urgency=medium

  * Ported Python module and demos to Python 3.
  * In addition to python-tksnack, build also python3-tksnack package for
    Python 3.
  * Do not ship python script in /usr/share/pyshared directory, and put
    them directly into /usr/lib/python*/dist-packages.
  * Bumped standards version to 3.9.6.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 18 Apr 2015 22:16:48 +0300

snack (2.2.10.20090623-dfsg-4) unstable; urgency=low

  * Fixed conflicts in libsnack-oss and libsnack-alsa dependencies which
    prevented the tcl-snack to be installable (closes: #722431).

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 12 Sep 2013 11:13:26 +0400

snack (2.2.10.20090623-dfsg-3) unstable; urgency=low

  * Documented license for generic/SnackOgg.c, generic/jkFormant.h,
    generic/jkFormant.c and generic/sigproc2.c in debian/copyright
    (closes: #721507).

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 01 Sep 2013 19:18:13 +0400

snack (2.2.10.20090623-dfsg-2) unstable; urgency=low

  * Replaced deprecated dh_pysypport from python-support by dh_python2.
  * Dropped all debian/*.dirs files because they aren't necessary.
  * Added build-arch and build-indep targets to debian/rules (closes: #648302).
  * Dropped tcl-snack-alsa package and split out the backend dependent
    shared libraries into libsnack-oss and libsnack-alsa packages. This
    helps avoiding complex dependencies for packages like tkabber or
    wavesurfer (see bug 567713 for discussion).
  * Swapped libsnack-alsa and libsnack-oss to make ALSA enabled library
    the default one (closes: #567713).

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 25 Aug 2013 12:21:48 +0400

snack (2.2.10.20090623-dfsg-1) unstable; urgency=low

  * Acknowledge NMU and include patch by Michael Karcher to fix CVE-2012-6303
    to the main package development.
  * Switched to the 3.0 (quilt) source package format.
  * Renamed the binary packages to tcl-snack, tcl-snack-dev, tcl-snack-doc
    to comply the Debian Tcl/Tk policy.
  * Removed non-free source files jkFormatMP3.c and jkFormatMP3.h, and
    binary without source snack.mcp.sit.hqx. Also, documented the license
    for ffa.c, shape.c, snackDecls.h, snackStubInit.c, snackStubLib.c and
    a few other files in debian/copyright (closes: #688020).
  * Switched to an alternative upstream with reimplemented MP3 support via
    libmpg123. This helps to retain MP3 support while dropping the non-free
    source files jkFormatMP3.c and jkFormatMP3.h which implemented MP3
    support internally. Note that after that one has to run
    [package require snackmpg] to enable MP3.
  * Removed unneeded headers from the tcl-snack-dev binary package.
  * Bumped debhelper compatibility version to 8.
  * Bumped standards version to 3.9.4.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 27 Jul 2013 20:49:27 +0400

snack (2.2.10-dfsg1-12.1) unstable; urgency=low

  * Non-maintainer upload.
  * Include patch by Michael Karcher to fix CVE-2012-6303 (Closes: #695614).

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Wed, 02 Jan 2013 00:56:47 +0100

snack (2.2.10-dfsg1-12) unstable; urgency=low

  * Fixed FTBFS for non-linux architectures.
  * Added Tk package to suggested packages list because Snack has sound
    visualization support.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 10 Aug 2011 21:46:20 +0400

snack (2.2.10-dfsg1-11) unstable; urgency=low

  * Use linux-any wildcard to express build dependency on libasound2-dev
    (closes: #634299).
  * Bumped standards version to 3.9.2.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 10 Aug 2011 14:00:50 +0400

snack (2.2.10-dfsg1-10) experimental; urgency=low

  * Rebuild snack with Tcl/Tk 8.5.
  * Added a patch which fixes several cases of searching for arguments
    beyond the array of them (closes: #582601).
  * Added ${misc:Depends} substitution variable to debian/control because
    the package is using debhelper to build.
  * Added patch which removes unnecessary libraries from the list libsnack.so
    links to.
  * Bumped standards version to 3.9.0.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 22 Jul 2010 22:23:47 +0400

snack (2.2.10-dfsg1-9) unstable; urgency=low

  * Added patch which makes snack build with glibc 2.10 (closes: #548641).
  * Use quilt for patch management.
  * Bumped standards version to 3.8.3.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 29 Oct 2009 21:58:50 +0300

snack (2.2.10-dfsg1-8) unstable; urgency=low

  * Borrowed patch from Jeremiah at Myah OS which makes libsnack2-alsa working
    with ALSA 1.0.16 (closes: #503398).

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 25 Oct 2008 21:33:33 +0400



=== debian/control ===
Source: snack
Section: sound
Priority: optional
Maintainer: Sergei Golovan <sgolovan@debian.org>
Build-Depends: debhelper (>= 11.0.0), tk-dev (>= 8.5), libmpg123-dev, libogg-dev, libvorbis-dev,
 libasound2-dev [linux-any]
Build-Depends-Indep: python-all-dev (>= 2.6.6-3~), python3-all-dev, dh-python
Standards-Version: 4.2.0
Homepage: http://pdqi.com/w/pw/pdqi/Wize/Snack
Vcs-Browser: https://salsa.debian.org/tcltk-team/snack
Vcs-Git: https://salsa.debian.org/tcltk-team/snack.git

Package: tcl-snack
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${tclsh:Depends},
 libsnack-oss (= ${binary:Version}) | libsnack-alsa (= ${binary:Version})
Suggests: ${wish:Depends}, tcl-snack-doc
Conflicts: libsnack2, libsnack2-alsa
Provides: libsnack2, libsnack2-alsa
Replaces: libsnack2, libsnack2-alsa
Description: Sound extension to Tcl/Tk and Python/Tkinter - Tcl/Tk library
 Snack is an extension to the Tcl/Tk scripting language
 that adds sound functionality. There are commands to play, record,
 edit, and even visualize sound. Snack supports in-memory sound
 objects, file based audio, and streaming audio. It handles
 file formats such as WAV, AU, AIFF, MP3, and OGG Vorbis.

Package: libsnack-alsa
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libsnack-oss
Replaces: libsnack2, libsnack2-alsa, libsnack-oss
Description: Sound extension to Tcl/Tk and Python/Tkinter - ALSA files
 Snack is an extension to the Tcl/Tk scripting language
 that adds sound functionality. There are commands to play, record,
 edit, and even visualize sound. Snack supports in-memory sound
 objects, file based audio, and streaming audio. It handles
 file formats such as WAV, AU, AIFF, MP3, and OGG Vorbis.
 .
 This package includes libraries which use ALSA as a sound engine.

Package: libsnack-oss
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, osspd | oss-compat
Conflicts: libsnack-alsa
Replaces: libsnack2, libsnack2-alsa, libsnack-alsa
Description: Sound extension to Tcl/Tk and Python/Tkinter - OSS files
 Snack is an extension to the Tcl/Tk scripting language
 that adds sound functionality. There are commands to play, record,
 edit, and even visualize sound. Snack supports in-memory sound
 objects, file based audio, and streaming audio. It handles
 file formats such as WAV, AU, AIFF, MP3, and OGG Vorbis.
 .
 This package includes libraries which use OSS as a sound engine.

Package: python-tksnack
Section: python
Architecture: all
Depends: tcl-snack (>= ${source:Version}), ${python:Depends}, ${misc:Depends}, python-tk
Suggests: tcl-snack-doc
Provides: ${python:Provides}
Description: Sound extension to Tcl/Tk and Python/Tkinter - Python 2.x library
 Snack is an extension to the Tcl/Tk scripting language
 that adds sound functionality. There are commands to play, record,
 edit, and even visualize sound. Snack supports in-memory sound
 objects, file based audio, and streaming audio. It handles
 file formats such as WAV, AU, AIFF, MP3, and OGG Vorbis.
 .
 This package includes Python/Tkinter tkSnack package for Python 2.x.

Package: python3-tksnack
Section: python
Architecture: all
Depends: tcl-snack (>= ${source:Version}), ${python3:Depends}, ${misc:Depends}, python3-tk
Suggests: tcl-snack-doc
Provides: ${python3:Provides}
Description: Sound extension to Tcl/Tk and Python/Tkinter - Python 3.x library
 Snack is an extension to the Tcl/Tk scripting language
 that adds sound functionality. There are commands to play, record,
 edit, and even visualize sound. Snack supports in-memory sound
 objects, file based audio, and streaming audio. It handles
 file formats such as WAV, AU, AIFF, MP3, and OGG Vorbis.
 .
 This package includes Python/Tkinter tkSnack package for Python 3.x.

Package: tcl-snack-dev
Section: libdevel
Architecture: any
Depends: tcl-snack (= ${binary:Version}), ${misc:Depends}
Replaces: snack-dev, libsnack2-dev
Conflicts: libsnack2-dev
Provides: libsnack2-dev
Description: Sound extension to Tcl/Tk and Python/Tkinter - development files
 This package is needed for building transcriber, and contains
 snackConfig.sh, snack.h.
 .
 Snack provides a sound functionality extension to the Tcl/Tk language.
 .
 Snack is an extension to the Tcl/Tk scripting language
 that adds sound functionality. There are commands to play, record,
 edit, and even visualize sound. Snack supports in-memory sound
 objects, file based audio, and streaming audio. It handles
 file formats such as WAV, AU, AIFF, MP3, and OGG Vorbis.
 .
 This package contains files to be used for development of C-based
 extensions which use the Snack library.

Package: tcl-snack-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: tcl-snack, python-tksnack
Replaces: libsnack2-doc
Conflicts: libsnack2-doc
Provides: libsnack2-doc
Description: Sound extension to Tcl/Tk and Python/Tkinter - documentation
 Snack provides a sound functionality extension to the Tcl/Tk language.
 .
 Snack is an extension to the Tcl/Tk scripting language
 that adds sound functionality. There are commands to play, record,
 edit, and even visualize sound. Snack supports in-memory sound
 objects, file based audio, and streaming audio. It handles
 file formats such as WAV, AU, AIFF, MP3, and OGG Vorbis.
 .
 This package contains the HTML documentation for Snack.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

DDIR=$(shell pwd)/debian/tmp
DDIR_ALSA=$(shell pwd)/debian/tmp-alsa

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/architecture.mk

CONFIGOPTS = --enable-gcc \
	     --enable-shared \
	     --build=$(DEB_BUILD_GNU_TYPE) \
	     --host=$(DEB_HOST_GNU_TYPE) \
	     --with-tcl=/usr/lib \
	     --with-tk=/usr/lib \
	     --prefix=/usr \
	     --with-ogg-include=/usr/include \
	     --with-ogg-lib=/usr/lib

CONFIGOPTS_ALSA = $(CONFIGOPTS) --enable-alsa

BUILD_ALSA := $(shell if [ `uname -s` = Linux ] ; then echo yes ; else echo no ; fi)

ifeq ($(BUILD_ALSA), no)
install_target:=install-stamp
binary_targets:=binary-oss
else
install_target:=install-alsa-stamp
binary_targets:=binary-oss binary-alsa
endif

clean: clean-build
	dh_testdir
	dh_testroot
	rm -rf $(DDIR_ALSA)
	rm -f build-stamp build-alsa-stamp
	rm -f install-stamp install-alsa-stamp
	rm -f clean-stamp
	dh_clean

clean-build:
	dh_testdir
	[ ! -f unix/Makefile ] || $(MAKE) -C unix distclean
	cd unix ; rm -f libsnackogg.so libsnackmpg.so libsnacksphere.so libsnackstub2.2.a
	cd unix ; rm -f snackConfig.sh pkgIndex.tcl
	cd python; rm -rf build

build: build-arch build-indep
build-arch: $(install_target)
build-indep: $(install_target)

build-stamp:
	dh_testdir
	cd unix && ./configure $(CONFIGOPTS)
	DEB_CFLAGS="$(CFLAGS)" \
	$(MAKE) -C unix all libsnackogg.so libsnackmpg.so # libsnacksphere.so
	touch build-stamp

install-stamp: build-stamp
	dh_testdir
	dh_installdirs
	$(MAKE) -C unix SNACK_INSTALL_PATH=$(DDIR)/usr/lib install
	touch install-stamp

clean-stamp: install-stamp
	dh_testdir
	[ ! -f unix/Makefile ] || $(MAKE) -C unix distclean
	cd unix ; rm -f libsnackogg.so libsnackmpg.so libsnacksphere.so libsnackstub2.2.a
	cd unix ; rm -f snackConfig.sh pkgIndex.tcl
	cd python; rm -rf build
	touch clean-stamp

build-alsa-stamp: clean-stamp
	dh_testdir
	cd unix && ./configure $(CONFIGOPTS_ALSA)
	DEB_CFLAGS="$(CFLAGS)" \
	$(MAKE) -C unix all libsnackogg.so libsnackmpg.so # libsnacksphere.so
	touch build-alsa-stamp

install-alsa-stamp: build-alsa-stamp
	dh_testdir
	dh_installdirs
	$(MAKE) -C unix SNACK_INSTALL_PATH=$(DDIR_ALSA)/usr/lib install
	touch install-alsa-stamp

install-indep: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	cd python ; \
	set -e ; for python in `pyversions -s` ; do \
	    $$python setup.py install \
		--no-compile \
		--install-layout=deb \
		--root=$(DDIR) ; \
	done
	cd python ; \
	set -e ; for python in `py3versions -s` ; do \
	    $$python setup.py install \
		--no-compile \
		--install-layout=deb \
		--root=$(DDIR) ; \
	done

# Build architecture-dependent files here.
binary-oss: install-stamp
	dh_testdir -a -Nlibsnack-alsa
	dh_testroot -a -Nlibsnack-alsa
	dh_installdirs -a -Nlibsnack-alsa
	dh_install -a -Nlibsnack-alsa
	dh_installdocs -a -Nlibsnack-alsa -A README debian/README.Debian
	dh_installexamples -a -Nlibsnack-alsa
	dh_installmenu -a -Nlibsnack-alsa
	dh_installman -a -Nlibsnack-alsa
	dh_installchangelogs -a -Nlibsnack-alsa -A changes
	dh_link -a -Nlibsnack-alsa
	dh_strip -a -Nlibsnack-alsa
	dh_compress -a -Nlibsnack-alsa -X.tcl -X.wav -X.py -X.plg -X.phn
	dh_fixperms -a -Nlibsnack-alsa
	chmod a-x debian/*/usr/lib/tcltk/snack*/*
	dh_makeshlibs -a -Nlibsnack-alsa
	dh_installdeb -a -Nlibsnack-alsa
	dh_shlibdeps -a -Nlibsnack-alsa
	tcltk-depends -a -Nlibsnack-alsa
	dh_gencontrol -a -Nlibsnack-alsa
	dh_md5sums -a -Nlibsnack-alsa
	dh_builddeb -a -Nlibsnack-alsa

binary-alsa: install-alsa-stamp
	dh_testdir -plibsnack-alsa
	dh_testroot -plibsnack-alsa
	dh_installdirs -plibsnack-alsa
	dh_install -plibsnack-alsa
	dh_installdocs -plibsnack-alsa -A README debian/README.Debian
	dh_installexamples -plibsnack-alsa
	dh_installmenu -plibsnack-alsa
	dh_installman -plibsnack-alsa
	dh_installchangelogs -plibsnack-alsa -A changes
	dh_link -plibsnack-alsa
	dh_strip -plibsnack-alsa
	dh_compress -plibsnack-alsa -X.tcl -X.wav -X.py -X.plg -X.phn
	dh_fixperms -plibsnack-alsa
	chmod a-x debian/*/usr/lib/tcltk/snack*/*
	dh_makeshlibs -plibsnack-alsa
	dh_installdeb -plibsnack-alsa
	dh_shlibdeps -plibsnack-alsa
	tcltk-depends -plibsnack-alsa
	dh_gencontrol -plibsnack-alsa
	dh_md5sums -plibsnack-alsa
	dh_builddeb -plibsnack-alsa

binary-arch: $(binary_targets)

binary-indep: install-indep
	dh_testdir -i
	dh_testroot -i
	dh_installdirs -i
	dh_install -i
	dh_installdocs -i -A README debian/README.Debian
	dh_installchangelogs -i -A changes
	dh_link -i
	dh_strip -i
	dh_compress -i -X.tcl -X.wav -X.py -X.plg -X.phn
	dh_fixperms -i
	chmod a-x debian/tcl-snack-doc/usr/share/doc/tcl-snack-doc/examples/tcl/*
	chmod a+x debian/tcl-snack-doc/usr/share/doc/tcl-snack-doc/examples/tcl/*.tcl
	chmod a-x debian/tcl-snack-doc/usr/share/doc/tcl-snack-doc/examples/python/*
	chmod a+x debian/tcl-snack-doc/usr/share/doc/tcl-snack-doc/examples/python/*.py
	chmod a-x debian/tcl-snack-doc/usr/share/doc/tcl-snack-doc/examples/python/tkSnack.py
	dh_python2 -ppython-tksnack
	dh_python3 -ppython3-tksnack
	dh_installdeb -i
	tcltk-depends -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# DvL: order is important!
binary: binary-arch binary-indep

version=2.2.10
date=20090623

get-orig-source:
	CURDIR=`pwd` && \
	TMPDIR=`mktemp -d /tmp/snack.XXXXXX` && \
	cd $$TMPDIR && \
	cvs -d:pserver:anonymous@wize.cvs.sourceforge.net:/cvsroot/wize export -D $(date) wize2/wize/snack$(version) && \
	cd wize2/wize/snack$(version) && \
	for f in `find . -name tclkit-linux-x86 -o -name sdx -o -name snack.mcp.sit.hqx -o -name right_back.shape` ; do \
	    echo "REMOVING BINARY WITHOUT A SOURCE $$f" ; rm -f $$f ; \
	done && \
	rm -v win/Makefile win/config.log win/config.status win/snackConfig.sh && \
	rm -v unix/Makefile unix/config.log unix/config.status unix/snackConfig.sh && \
	rm -v generic/SnackMp3.c generic/jkFormatMP3.c generic/jkFormatMP3.h && \
	rm -v pkgIndex.tcl unix/pkgIndex.tcl && \
	cd .. && \
	tar -Jcf $$CURDIR/snack_$(version).$(date)-dfsg.orig.tar.xz snack$(version) && \
	rm -rf $$TMPDIR

.PHONY: build build-arch build-indep clean clean-build clean-intermediate binary-oss binary-alsa \
	binary-indep binary-arch binary install-indep get-orig-source
